package com.benyun.service;


import java.io.IOException;
import java.util.List;

import com.benyun.entity.EventAppendix;
import com.benyun.boot.core.vo.Result;
import org.beetl.sql.core.engine.PageQuery;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
 * 事件附件表(EventAppendix)表服务
 *
 * @author makejava
 * create on 2023-03-27 08:55:05
 */
public interface EventAppendixService {

    EventAppendix queryById(Integer id);

    List<EventAppendix> queryAll();

    void insert(EventAppendix eventAppendix);
    
    /**
     * 根据主键更新记录
     *
     * @param eventAppendix 待更新的记录.包含主键在内，如果其他列的值为空则不更新
     * @return 成功返回true，失败返回false
     */
    boolean updateById(EventAppendix eventAppendix);
    
    /**
     * 根据主键删除记录
     *
     * @param id 主键
     * @return 成功返回true，反之返回false
     */
    boolean deleteById(Integer id);
    
    /**
     * 分页查询
     * @param pageQuery 封装分页条件的分页对象
     * @return pageQuery 作为一个引用，将查询结果封装进去
     */
    Result<List<EventAppendix>> queryByPage(PageQuery<EventAppendix> pageQuery);

    boolean saveAppendix(MultipartFile file, String id);

    List<EventAppendix> queryListByEventId(String eventId);

    byte[] simpleAppendix(HttpServletResponse response, EventAppendix eventAppendix) throws IOException;

    boolean deleteFile(EventAppendix eventAppendix);
}
