package com.benyun.service;


import java.util.List;

import com.benyun.entity.Event;
import com.benyun.boot.core.vo.Result;
import com.benyun.vo.EventPageVo;
import org.beetl.sql.core.engine.PageQuery;

/**
 * 事件信息表(Event)表服务
 *
 * @author makejava
 * create on 2023-03-21 09:20:28
 */
public interface EventService {

    Event queryById(String id, String applyId);

    List<Event> queryAll();

    void insert(Event event);
    
    /**
     * 根据主键更新记录
     *
     * @param event 待更新的记录.包含主键在内，如果其他列的值为空则不更新
     * @return 成功返回true，失败返回false
     */
    boolean updateById(Event event);

    /**
     * 根据主键更新记录
     *
     * @param event 待更新的记录.包含主键在内，如果其他列的值为空则不更新
     * @return 成功返回true，失败返回false
     */
    boolean updateById2(Event event);
    
    /**
     * 根据主键删除记录
     *
     * @param id 主键
     * @return 成功返回true，反之返回false
     */
    boolean deleteById(String id);

    /**
     * 根据主键删除记录
     *
     * @param id 主键
     * @param applyId 应用uuid 主键
     * @return 成功返回true，反之返回false
     */
    boolean deleteById(String id, String applyId);
    
    /**
     * 分页查询
     * @param pageQuery 封装分页条件的分页对象
     * @return pageQuery 作为一个引用，将查询结果封装进去
     */
    EventPageVo queryByPage(PageQuery<Event> pageQuery);
}
